
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _dvblib_h_
#define _dvblib_h_

#define	MASK_UNICAST	1
#define MASK_PROMISC	2

class CDVBDevice
{
protected:
	static	int	handle;

public:
	CDVBDevice();
	~CDVBDevice();

	int	Open(int ifnum);
	int	CallAPI(struct dvbapi *parm);

	int	AddFilter(unsigned short pid, unsigned char *mac, int mfilter);
	int	DelFilter(unsigned char filterNo);
	int	GetFilter(unsigned char filterNo, unsigned short *pid, unsigned char *mac, u_int64_t *bytes, unsigned long *errors);

	int	GetDMA(unsigned long *status, unsigned long *fullness);
	int	GetCARD(unsigned long *idSubDevice, unsigned char *mac);
	int	GetDemux(unsigned long *TSPkts, unsigned long *BadTSPkts, unsigned long *DisCont);

	int	ReadTuner(struct tuner *state);
	int	WriteTuner();

};

#endif

