
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _fifo_h_
#define _fifo_h_

class CMutex;

class CFifo
{
protected:
	unsigned char	*pBuffer;
	unsigned long	lSize;	
	unsigned long	ReadIndex;
	unsigned long	WriteIndex;

	CMutex		mutex;
public:
	CFifo(unsigned long size);
	~CFifo();

	int	Init(unsigned long size);
	int	IsOK(void);

	void	Reset(void);

	unsigned long	Size(void);
	unsigned long	Put(unsigned char *buffer, unsigned long size);
	unsigned long	Get(unsigned char *buffer, unsigned long size);

	void	Lock(void);
	void	Unlock(void);
};

#endif

